> For the complete documentation index, see [llms.txt](https://docs.neonlines.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.neonlines.de/meterware-or-artikel-verkaufen-nach-einheit/weitere-einstellungen/e-mail-templates/plaintext-mail.md).

# Plaintext Mail

#### Einheiten und Menge korrekt ausgeben

**Die Zeile**

```
{{ loop.index }} 
```

**Durch diesen Code ersetzen**

```
 {{ loop.index }}     {% if lineItem.payload.neon_unitarticles is defined and lineItem.payload.neon_unitarticles.dimensions is defined %}{% if lineItem.payload.neon_unitarticles is defined and lineItem.payload.neon_unitarticles.surcharges is defined %}{% for surcharge in lineItem.payload.neon_unitarticles.surcharges %}{% if surcharge.value > 0 %}inkl. {{ surcharge.label }}:{{ surcharge.value|currency(currencyIsoCode)}}{% endif %}{% endfor %}{% endif %}{% endif %}{% if lineItem.payload.options is defined and lineItem.payload.options|length >= 1 %}, {% for option in lineItem.payload.options %}{{ option.group }}: {{ option.option }}{% if lineItem.payload.options|last != option %}{{ " | " }}{% endif %}{% endfor %}{% endif %}    {% if lineItem.payload.neon_unitarticles is defined and lineItem.payload.neon_unitarticles.isQuantityHidden %}1{%  else %}{{ lineItem.quantity }}{%  endif %}{{ lineItem.unitPrice|currency(currencyIsoCode) }}{{ lineItem.totalPrice|currency(currencyIsoCode) }}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neonlines.de/meterware-or-artikel-verkaufen-nach-einheit/weitere-einstellungen/e-mail-templates/plaintext-mail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
